Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Gateway Class Reference

Event Channel Gateway. More...

`#include <EC_Gateway.h>`

Inheritance diagram for TAO_EC_Gateway:

[legend]
List of all members.

## Public Methods
| TAO_EC_Gateway (void)
| Default constructor. More...
virtual | ~TAO_EC_Gateway (void)
| Destructor. More...
virtual void | close (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0
| The gateway must disconnect from all the relevant event channels, or any other communication media (such as multicast groups). More...
void | observer_handle (RtecEventChannelAdmin::Observer_Handle h)
| Obtain and modify the observer handle. More...
RtecEventChannelAdmin::Observer_Handle | observer_handle (void) const
## Private Attributes
RtecEventChannelAdmin::Observer_Handle | handle_

## Detailed Description

Event Channel Gateway.

There are several ways to connect several EC together, for instance: + A single class can use normal IIOP and connect to one EC as a supplier and to another EC as a consumer. + A class connects as a consumer and transmit the events using multicast, another class receives the multicast messages and transform them back into a push() call. This is an abstract class to represent all the different strategies for EC distribution.

## Constructor & Destructor Documentation

TAO_EC_Gateway::TAO_EC_Gateway | ( | void |  | ) |

| Default constructor.

TAO_EC_Gateway::~TAO_EC_Gateway | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void TAO_EC_Gateway::close | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[pure virtual]`

| The gateway must disconnect from all the relevant event channels, or any other communication media (such as multicast groups). Reimplemented in TAO_EC_Gateway_IIOP.

RtecEventChannelAdmin::Observer_Handle TAO_EC_Gateway::observer_handle | ( | void |  | ) | const

void TAO_EC_Gateway::observer_handle | ( | RtecEventChannelAdmin::Observer_Handle | h | ) |

| Obtain and modify the observer handle.

## Member Data Documentation

RtecEventChannelAdmin::Observer_Handle TAO_EC_Gateway::handle_`[private]`

The documentation for this class was generated from the following files:

- EC_Gateway.h
- EC_Gateway.cpp